module IdCard
    class ProviderSectionsController < ApplicationController

        # View Methods
        def index 
        end

        def show
        end

        def new
        end

        def create
        end

        def edit
        end

        def update
        end

        def destroy
        end

        # API Methods

        def get_section_data
            @provider_section = IdCard::ProviderSection.find(params[:id])
            render json: @provider_section.as_json
        end

        private

        def logo_params
            params.require(:id_card_network_logo).permit(:logo_file)
        end

    end
end